import { readFileSync, writeFileSync } from "fs";
import { join } from "path";

const filePath = join(import.meta.dirname, "./generated/client/client.ts");

let content = readFileSync(filePath, "utf8");

content = content.replace(
  /export const (DbNull|JsonNull|AnyNull) = runtime\.objectEnumValues\.instances\.\1/g,
  "export const $1 = NullTypes.$1",
);

writeFileSync(filePath, content);

console.log("✅ Prisma types have been successfully modified.");
