type changesType = {
  type: number;
  code?: string;
  WijzigingOorzaakLang?: string;
  WijzigingStationCode?: string;
  display: string[];
}[];
type stopType = {
  code: string;
  shortname: string;
  name: string;
};
export type tripInfoType = {
  received: number;
  ritId: number;
  changes: changesType;
  type: string;
  date: number;
  stationInfo: {
    departureDirection?: string;
    stopCode: string;
    arrivalDelay: number;
    departureDelay: number;
    spoor?: string;
    arrivalCancelled: boolean;
    departureCancelled: boolean;
    changes: changesType;
    stopt: boolean;
    vehicles: {
      vehicleId: string;
      type: string;
      length: number;
      bestemming: stopType;
      positie: number;
      volgorde: number;
      achterblijven: boolean;
    }[];
  }[];
  firstTime: number;
};
